#ifndef __TEST_SHIP_H__
#define __TEST_SHIP_H__

#include "include/orbitersdk.h"
#include "PanelSDK/PanelSDK.h"
#include <math.h>
#include <fstream.h>
class test_ship: public VESSEL

{ public:
	test_ship (OBJHANDLE hObj, int fmodel);		//basic constructor
	~test_ship();								//and destructor;
	void LoadState (FILEHANDLE scn, void *vs);
	void SaveState (FILEHANDLE scn);
	void SetClassCaps();
	void Timestep(double time);	
	//********************
	// PanelSDK functions as a interface between the
	// actual System & Panel SDK and VESSEL class
    PanelSDK Panel;
    //********************

	double Altitude;
	double Gforce;
	double Vel;
    double GfTB;
	double MasterAl;
	double SetRoll;
	int H_roll;
	double SetPitch;
	int H_pitch;
	double SetYaw;
	int H_yaw;
	int H_adiselect;

	int Separate;	//handle for a separation switch
	int Stage;		//what stage are we at
	//int DeployAntena; 
	double Yaw,Roll,Pitch;


};

#endif 